curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/wallets/{address}/transfers \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "eth_25937833_0xe3d3005d33af5e5ea60ebe3c16436691ac44a862f7f7bdf133114c0b4110d9f0_299_out",
"type": "transfer",
"attributes": {
"block_number": 25937833,
"tx_hash": "0xe3d3005d33af5e5ea60ebe3c16436691ac44a862f7f7bdf133114c0b4110d9f0",
"direction": "out",
"token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"amount_raw": "7999906000",
"amount": "7999.906",
"block_timestamp": "2026-09-09T05:50:11Z",
"from_address": "0x9642b23ed1e01df1092b92641051881a322f5d4e",
"to_address": "0xf8932784396f4f122bbb7ff62fab2a85e400646b",
"name": "Tether USD",
"symbol": "USDT",
"decimals": 6
}
},
{
"id": "eth_25937832_0x0f8c5a214905a7590e9b4f55821e89dd790e8569f2f91db46cce0cb13f8023fb_144_in",
"type": "transfer",
"attributes": {
"block_number": 25937832,
"tx_hash": "0x0f8c5a214905a7590e9b4f55821e89dd790e8569f2f91db46cce0cb13f8023fb",
"direction": "in",
"token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"amount_raw": "3401000000",
"amount": "3401.0",
"block_timestamp": "2026-09-09T05:49:59Z",
"from_address": "0x5fa654326317a2a5d69bc97e5a0ea9fe6f092cd5",
"to_address": "0x9642b23ed1e01df1092b92641051881a322f5d4e",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6
}
}
],
"meta": {
"next_cursor": "eyJibG9ja19udW1iZXIiOjI1OTM3ODMyLCJsb2dfaW5kZXgiOjE0NCwiZGlyZWN0aW9uIjoiaW4iLCJmcm9tIjoxNzg4MzI4MjQ3LCJ0byI6MTc4ODkzMzA0N30"
}
}Token Transfers by Wallet Address
To query the token transfers of a wallet address on a network
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/wallets/{address}/transfers \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "eth_25937833_0xe3d3005d33af5e5ea60ebe3c16436691ac44a862f7f7bdf133114c0b4110d9f0_299_out",
"type": "transfer",
"attributes": {
"block_number": 25937833,
"tx_hash": "0xe3d3005d33af5e5ea60ebe3c16436691ac44a862f7f7bdf133114c0b4110d9f0",
"direction": "out",
"token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"amount_raw": "7999906000",
"amount": "7999.906",
"block_timestamp": "2026-09-09T05:50:11Z",
"from_address": "0x9642b23ed1e01df1092b92641051881a322f5d4e",
"to_address": "0xf8932784396f4f122bbb7ff62fab2a85e400646b",
"name": "Tether USD",
"symbol": "USDT",
"decimals": 6
}
},
{
"id": "eth_25937832_0x0f8c5a214905a7590e9b4f55821e89dd790e8569f2f91db46cce0cb13f8023fb_144_in",
"type": "transfer",
"attributes": {
"block_number": 25937832,
"tx_hash": "0x0f8c5a214905a7590e9b4f55821e89dd790e8569f2f91db46cce0cb13f8023fb",
"direction": "in",
"token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"amount_raw": "3401000000",
"amount": "3401.0",
"block_timestamp": "2026-09-09T05:49:59Z",
"from_address": "0x5fa654326317a2a5d69bc97e5a0ea9fe6f092cd5",
"to_address": "0x9642b23ed1e01df1092b92641051881a322f5d4e",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6
}
}
],
"meta": {
"next_cursor": "eyJibG9ja19udW1iZXIiOjI1OTM3ODMyLCJsb2dfaW5kZXgiOjE0NCwiZGlyZWN0aW9uIjoiaW4iLCJmcm9tIjoxNzg4MzI4MjQ3LCJ0byI6MTc4ODkzMzA0N30"
}
}Notes
-
directionis relative to the queried wallet, so the counterparty is whichever offrom_addressandto_addressis not that wallet:directionQueried wallet is Transfer was into_addressreceived outfrom_addresssent -
amountis full precision and never rounded, but comes backnullwhen the token cannot be resolved.amount_rawis always present, so fall back to it and convert withdecimals:amount_raw / 10^decimals. -
Paginate with
cursorrather than a page number:- Pass
meta.next_cursorback unchanged ascursorto fetch the next page. meta.next_cursorisnullon the last page.
- Pass
Supported networks
Supported networks
| Chain | Network id |
|---|---|
| Ethereum | eth |
| Base | base |
| BNB Chain | bsc |
| Polygon | polygon_pos |
| Arbitrum | arbitrum |
| Optimism | optimism |
| Avalanche | avax |
| Stable | stable |
| Robinhood | robinhood |
from and to must be provided together, and the window between them cannot exceed 30 days.- Omit both to get the most recent 7 days.
- Providing only one of them returns a
400.
Authorizations
Learn how to set up your API key
Query Parameters
Filter transfers by token contract address.
Starting date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Must be provided together with to.
Ending date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Must be provided together with from.
Filter transfers by direction, relative to the queried wallet. Omit to return both.
in, out Cursor from the previous response, passed back unchanged to fetch the next page.
Total results per page. Default value: 100 Valid values: 1...300
Response
Wallet token transfers data
Hide child attributes
Hide child attributes
Transfer identifier
Resource type
Hide child attributes
Hide child attributes
Block number of the transfer
Transaction hash
Transfer direction relative to the queried wallet, either in or out
Token contract address
Transfer amount in the smallest unit, before decimals are applied
Transfer amount at full precision
Block timestamp of the transfer
Sender address
Recipient address
Token name
Token symbol
Token decimals
Was this page helpful?

